package main

import (
	"fmt"
	"git.insit.tech/psa/rtsp_reader-writer/writer/internal/metrics"
	"time"

	"git.insit.tech/psa/rtsp_reader-writer/writer/internal/config"
	"git.insit.tech/psa/rtsp_reader-writer/writer/internal/ingest/rtsp"
	logger "git.insit.tech/psa/rtsp_reader-writer/writer/internal/log"
	log2 "git.insit.tech/sas/rtsp_proxy/core/log"
)

func main() {
	go metrics.Metrics()

	config.LogsDirectory = log2.DirCreator(config.Local, "logs")
	logger.Log = log2.MainLogging(
		fmt.Sprintf("%s/writer-main_%s.log", config.LogsDirectory, time.Now().Format("15-04-05_02-01-2006")))

	rtsp.StartWriter()

	select {}
}
